org.springframework.batch.sample.domain.trade

## Enum CustomerOperation

- java.lang.Object
- - java.lang.Enum<CustomerOperation>
  - - org.springframework.batch.sample.domain.trade.CustomerOperation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CustomerOperation>

      public enum CustomerOperation
      extends java.lang.Enum<CustomerOperation>

  Enum representing on of 3 possible actions on a customer update: Add, update, or delete
  Author:
    Lucas Ward

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `DELETE`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CustomerOperation` | `fromCode(char code)`
    `char` | `getCode()`
    `static CustomerOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CustomerOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final CustomerOperation ADD

    - #### UPDATE

          public static final CustomerOperation UPDATE

    - #### DELETE

          public static final CustomerOperation DELETE

  - ### Method Detail

    - #### values

          public static CustomerOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CustomerOperation c : CustomerOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CustomerOperation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromCode

          public static CustomerOperation fromCode(char code)

    - #### getCode

          public char getCode()